{******************************************************************************
 *                                                                            *
 *      THE SEVEN game            Autor: Ing. A. B e n d  k                  *
 *                                                                            *
 ******************************************************************************}
unit Finish_f;

interface

uses
  Windows, Forms, Buttons, ExtCtrls, Classes, Graphics, Controls, StdCtrls;

type
  TFinishForm = class(TForm)
    Label1: TLabel;
    HeadTimer: TTimer;
    Panel1: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure HeadTimerTimer(Sender: TObject);
  private
    a, b, c: Byte;
    Back: TBitmap;
  end;

implementation

{$R *.DFM}

procedure TFinishForm.FormCreate(Sender: TObject);
var
  OldBrush: HBrush;
  i, g, b: Integer;
begin
  Caption := Application.Title;
  Back := TBitmap.Create;
  Back.Width := ClientWidth;
  Back.Height := ClientHeight;
  b := 0;
  g := ClientWidth div 2;
  for i := 0 to g do
  begin
    OldBrush := SelectObject(Back.Canvas.Handle, CreateSolidBrush(Rgb(i, g, b)));
    PatBlt(Back.Canvas.Handle,i ,0 ,1, Back.Height, PatCopy);
    DeleteObject(SelectObject(Back.Canvas.Handle, OldBrush));
  end;
  for i := g downto 0 do
  begin
    OldBrush := SelectObject(Back.Canvas.Handle, CreateSolidBrush(Rgb(i, g, b)));
    PatBlt(Back.Canvas.Handle, ClientWidth - i ,0 ,1, Back.Height, PatCopy);
    DeleteObject(SelectObject(Back.Canvas.Handle, OldBrush));
  end;
end;

procedure TFinishForm.HeadTimerTimer(Sender: TObject);
begin
  if Panel1.Visible then
  begin
    Panel1.Color := RGB(a, b, c);
    if      a < 240 then Inc(a,20)
    else if b < 240 then Inc(b,20)
    else if c < 240 then Inc(c,20)
    else begin
      a := 0;
      b := 0;
      c := 0;
    end
  end
end;

procedure TFinishForm.FormPaint(Sender: TObject);
begin
  Canvas.Draw(0, 0, Back);
end;

procedure TFinishForm.FormDestroy(Sender: TObject);
begin
  Back.Free;
end;

end.
